%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Compress-Zlib
%define modv   2.009


Summary:       Interface to zlib compression library
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Marquess <pmqs@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Compress::Raw::Zlib) >= %{modv}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Base) >= %{modv}
BuildRequires: perl(IO::Compress::Base::Common) >= %{modv}
BuildRequires: perl(IO::Compress::Gzip) >= %{modv}
BuildRequires: perl(IO::Compress::Gzip::Constants) >= %{modv}
BuildRequires: perl(IO::Uncompress::Base) >= %{modv}
BuildRequires: perl(IO::Uncompress::Gunzip) >= %{modv}
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Pod) >= 1.00
BuildArch:     noarch


%description
The Compress::Zlib module provides an interface to the zlib compression
library.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri May 02 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.009-1
- Initial build
